Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class GlyfCompositeComp

    java.lang.Object
      org.apache.batik.svggen.font.table.GlyfCompositeComp

    public class GlyfCompositeComp

extends Object

Field Summary
`static short` | `ARG_1_AND_2_ARE_WORDS`
`static short` | `ARGS_ARE_XY_VALUES`
`static short` | `MORE_COMPONENTS`
`static short` | `ROUND_XY_TO_GRID`
`static short` | `USE_MY_METRICS`
`static short` | `WE_HAVE_A_SCALE`
`static short` | `WE_HAVE_A_TWO_BY_TWO`
`static short` | `WE_HAVE_AN_X_AND_Y_SCALE`
`static short` | `WE_HAVE_INSTRUCTIONS`

Constructor Summary
`protected` | `GlyfCompositeComp(ByteArrayInputStream bais)`

Method Summary
`short` | `getArgument1()`
`short` | `getArgument2()`
`int` | `getFirstContour()`
`int` | `getFirstIndex()`
`short` | `getFlags()`
`int` | `getGlyphIndex()`
`double` | `getScale01()`
`double` | `getScale10()`
`double` | `getXScale()`
`int` | `getXTranslate()`
`double` | `getYScale()`
`int` | `getYTranslate()`
`int` | `scaleX(int x, int y)` Transforms an x-coordinate of a point for this component.
`int` | `scaleY(int x, int y)` Transforms a y-coordinate of a point for this component.
`void` | `setFirstContour(int idx)`
`void` | `setFirstIndex(int idx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ARG_1_AND_2_ARE_WORDS

    public static final short ARG_1_AND_2_ARE_WORDS

See Also:
  Constant Field Values

### ARGS_ARE_XY_VALUES

    public static final short ARGS_ARE_XY_VALUES

See Also:
  Constant Field Values

### ROUND_XY_TO_GRID

    public static final short ROUND_XY_TO_GRID

See Also:
  Constant Field Values

### WE_HAVE_A_SCALE

    public static final short WE_HAVE_A_SCALE

See Also:
  Constant Field Values

### MORE_COMPONENTS

    public static final short MORE_COMPONENTS

See Also:
  Constant Field Values

### WE_HAVE_AN_X_AND_Y_SCALE

    public static final short WE_HAVE_AN_X_AND_Y_SCALE

See Also:
  Constant Field Values

### WE_HAVE_A_TWO_BY_TWO

    public static final short WE_HAVE_A_TWO_BY_TWO

See Also:
  Constant Field Values

### WE_HAVE_INSTRUCTIONS

    public static final short WE_HAVE_INSTRUCTIONS

See Also:
  Constant Field Values

### USE_MY_METRICS

    public static final short USE_MY_METRICS

See Also:
  Constant Field Values

Constructor Detail

### GlyfCompositeComp

    protected GlyfCompositeComp(ByteArrayInputStream bais)

Method Detail

### setFirstIndex

    public void setFirstIndex(int idx)

### getFirstIndex

    public int getFirstIndex()

### setFirstContour

    public void setFirstContour(int idx)

### getFirstContour

    public int getFirstContour()

### getArgument1

    public short getArgument1()

### getArgument2

    public short getArgument2()

### getFlags

    public short getFlags()

### getGlyphIndex

    public int getGlyphIndex()

### getScale01

    public double getScale01()

### getScale10

    public double getScale10()

### getXScale

    public double getXScale()

### getYScale

    public double getYScale()

### getXTranslate

    public int getXTranslate()

### getYTranslate

    public int getYTranslate()

### scaleX

    public int scaleX(int x,
                      int y)

  Transforms an x-coordinate of a point for this component.

  Parameters:
    `x` - The x-coordinate of the point to transform
    `y` - The y-coordinate of the point to transform
  Returns:
    The transformed x-coordinate

### scaleY

    public int scaleY(int x,
                      int y)

  Transforms a y-coordinate of a point for this component.

  Parameters:
    `x` - The x-coordinate of the point to transform
    `y` - The y-coordinate of the point to transform
  Returns:
    The transformed y-coordinate

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.